<?php
class docAudio extends docBase {

  public function onPrivateUpload($tempFile) {
  }

  public function getThumbnail($options) {
    return image_tag($this->thumbRoot . 'uploads/thumbnails/mp3.jpg', $options);
  }

  public function getPreview($width = 300, $height = 150) {
    return flash_tag($this->viewRoot.'plugins/flash/mp3Player.swf', $width, $height,
    array('file'=>$this->getPreviewUrl()));
  }
}
?>
